udp_data Struct Reference

`#include <sock.h>`

## Data Fields

engine_type * | engine
sock_type * | socket
query_type * | query

## Detailed Description

Data for udp handlers.

Definition at line 65 of file sock.h.

## Field Documentation

## engine

engine_type* udp_data::engine

Definition at line 66 of file sock.h.

Referenced by dnshandler_start(), and sock_handle_udp().

## query

query_type* udp_data::query

Definition at line 68 of file sock.h.

Referenced by dnshandler_start(), and sock_handle_udp().

## socket

sock_type* udp_data::socket

Definition at line 67 of file sock.h.

Referenced by dnshandler_start().

The documentation for this struct was generated from the following file:

- src/wire/sock.h